"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderControllerService = void 0;
/* tslint:disable */
// @ts-nocheck
const core_1 = require("@angular/core");
const http_1 = require("@angular/common/http");
const base_service_1 = require("../base-service");
const operators_1 = require("rxjs/operators");
/**
 * Order Controller
 */
let OrderControllerService = class OrderControllerService extends base_service_1.BaseService {
    constructor(config, http) {
        super(config, http);
    }
    /**
     * close
     * @param form form
     * @return OK
     */
    closeUsingPOSTResponse(form) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        __body = form;
        let req = new http_1.HttpRequest('POST', this.rootUrl + `/api/v1/order/close`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * close
     * @param form form
     * @return OK
     */
    closeUsingPOST(form) {
        return this.closeUsingPOSTResponse(form).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * Close limit 1000 orders at once
     * @param params The `OrderControllerService.CloseAllOrdersUsingPOSTParams` containing the following parameters:
     *
     * - `side`: side
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * @return OK
     */
    closeAllOrdersUsingPOSTResponse(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.side != null)
            __params = __params.set('side', params.side.toString());
        (params.markets || []).forEach(val => { if (val != null)
            __params = __params.append('markets', val.toString()); });
        if (params.isNotNft != null)
            __params = __params.set('isNotNft', params.isNotNft.toString());
        if (params.isNft != null)
            __params = __params.set('isNft', params.isNft.toString());
        let req = new http_1.HttpRequest('POST', this.rootUrl + `/api/v1/order/close-all`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * Close limit 1000 orders at once
     * @param params The `OrderControllerService.CloseAllOrdersUsingPOSTParams` containing the following parameters:
     *
     * - `side`: side
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * @return OK
     */
    closeAllOrdersUsingPOST(params) {
        return this.closeAllOrdersUsingPOSTResponse(params).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * Use to close SELL order for NFT by marketId
     * @param form form
     * @return OK
     */
    closeOnMarketUsingPOSTResponse(form) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        __body = form;
        let req = new http_1.HttpRequest('POST', this.rootUrl + `/api/v1/order/close-by-market-id`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * Use to close SELL order for NFT by marketId
     * @param form form
     * @return OK
     */
    closeOnMarketUsingPOST(form) {
        return this.closeOnMarketUsingPOSTResponse(form).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * getDwrldHistory
     * @param params The `OrderControllerService.GetDwrldHistoryUsingGETParams` containing the following parameters:
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    getDwrldHistoryUsingGETResponse(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.pageSize != null)
            __params = __params.set('pageSize', params.pageSize.toString());
        if (params.pageNumber != null)
            __params = __params.set('pageNumber', params.pageNumber.toString());
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/dcw/list`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * getDwrldHistory
     * @param params The `OrderControllerService.GetDwrldHistoryUsingGETParams` containing the following parameters:
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    getDwrldHistoryUsingGET(params) {
        return this.getDwrldHistoryUsingGETResponse(params).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * getDecentCoinOverview
     * @return OK
     */
    getDecentCoinOverviewUsingGETResponse() {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/dcw/overview`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * getDecentCoinOverview
     * @return OK
     */
    getDecentCoinOverviewUsingGET() {
        return this.getDecentCoinOverviewUsingGETResponse().pipe(operators_1.map(_r => _r.body));
    }
    /**
     * Order details for open or history
     * @param orderId orderId
     * @return OK
     */
    orderDetailsUsingGETResponse(orderId) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/details/${encodeURIComponent(String(orderId))}`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * Order details for open or history
     * @param orderId orderId
     * @return OK
     */
    orderDetailsUsingGET(orderId) {
        return this.orderDetailsUsingGETResponse(orderId).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * history
     * @param params The `OrderControllerService.HistoryUsingGET1Params` containing the following parameters:
     *
     * - `street`: street
     *
     * - `state`: state
     *
     * - `sort`: sort
     *
     * - `side`: side
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * - `orderType`: orderType
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * - `forAllUsers`: forAllUsers
     *
     * - `dateTo`: dateTo
     *
     * - `dateFrom`: dateFrom
     *
     * - `country`: country
     *
     * - `closeReason`: closeReason
     *
     * - `city`: city
     *
     * @return OK
     */
    historyUsingGET1Response(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.street != null)
            __params = __params.set('street', params.street.toString());
        if (params.state != null)
            __params = __params.set('state', params.state.toString());
        if (params.sort != null)
            __params = __params.set('sort', params.sort.toString());
        if (params.side != null)
            __params = __params.set('side', params.side.toString());
        if (params.pageSize != null)
            __params = __params.set('pageSize', params.pageSize.toString());
        if (params.pageNumber != null)
            __params = __params.set('pageNumber', params.pageNumber.toString());
        if (params.orderType != null)
            __params = __params.set('orderType', params.orderType.toString());
        (params.markets || []).forEach(val => { if (val != null)
            __params = __params.append('markets', val.toString()); });
        if (params.isNotNft != null)
            __params = __params.set('isNotNft', params.isNotNft.toString());
        if (params.isNft != null)
            __params = __params.set('isNft', params.isNft.toString());
        if (params.forAllUsers != null)
            __params = __params.set('forAllUsers', params.forAllUsers.toString());
        if (params.dateTo != null)
            __params = __params.set('dateTo', params.dateTo.toString());
        if (params.dateFrom != null)
            __params = __params.set('dateFrom', params.dateFrom.toString());
        if (params.country != null)
            __params = __params.set('country', params.country.toString());
        if (params.closeReason != null)
            __params = __params.set('closeReason', params.closeReason.toString());
        if (params.city != null)
            __params = __params.set('city', params.city.toString());
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/history`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * history
     * @param params The `OrderControllerService.HistoryUsingGET1Params` containing the following parameters:
     *
     * - `street`: street
     *
     * - `state`: state
     *
     * - `sort`: sort
     *
     * - `side`: side
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * - `orderType`: orderType
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * - `forAllUsers`: forAllUsers
     *
     * - `dateTo`: dateTo
     *
     * - `dateFrom`: dateFrom
     *
     * - `country`: country
     *
     * - `closeReason`: closeReason
     *
     * - `city`: city
     *
     * @return OK
     */
    historyUsingGET1(params) {
        return this.historyUsingGET1Response(params).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * list
     * @param params The `OrderControllerService.ListUsingGET15Params` containing the following parameters:
     *
     * - `street`: street
     *
     * - `state`: state
     *
     * - `sort`: sort
     *
     * - `side`: side
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * - `orderType`: orderType
     *
     * - `nftWalletId`: nftWalletId
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * - `dateTo`: dateTo
     *
     * - `dateFrom`: dateFrom
     *
     * - `country`: country
     *
     * - `closeReason`: closeReason
     *
     * - `city`: city
     *
     * @return OK
     */
    listUsingGET15Response(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.street != null)
            __params = __params.set('street', params.street.toString());
        if (params.state != null)
            __params = __params.set('state', params.state.toString());
        if (params.sort != null)
            __params = __params.set('sort', params.sort.toString());
        if (params.side != null)
            __params = __params.set('side', params.side.toString());
        if (params.pageSize != null)
            __params = __params.set('pageSize', params.pageSize.toString());
        if (params.pageNumber != null)
            __params = __params.set('pageNumber', params.pageNumber.toString());
        if (params.orderType != null)
            __params = __params.set('orderType', params.orderType.toString());
        if (params.nftWalletId != null)
            __params = __params.set('nftWalletId', params.nftWalletId.toString());
        (params.markets || []).forEach(val => { if (val != null)
            __params = __params.append('markets', val.toString()); });
        if (params.isNotNft != null)
            __params = __params.set('isNotNft', params.isNotNft.toString());
        if (params.isNft != null)
            __params = __params.set('isNft', params.isNft.toString());
        if (params.dateTo != null)
            __params = __params.set('dateTo', params.dateTo.toString());
        if (params.dateFrom != null)
            __params = __params.set('dateFrom', params.dateFrom.toString());
        if (params.country != null)
            __params = __params.set('country', params.country.toString());
        if (params.closeReason != null)
            __params = __params.set('closeReason', params.closeReason.toString());
        if (params.city != null)
            __params = __params.set('city', params.city.toString());
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/list`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * list
     * @param params The `OrderControllerService.ListUsingGET15Params` containing the following parameters:
     *
     * - `street`: street
     *
     * - `state`: state
     *
     * - `sort`: sort
     *
     * - `side`: side
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * - `orderType`: orderType
     *
     * - `nftWalletId`: nftWalletId
     *
     * - `markets`: markets
     *
     * - `isNotNft`: isNotNft
     *
     * - `isNft`: isNft
     *
     * - `dateTo`: dateTo
     *
     * - `dateFrom`: dateFrom
     *
     * - `country`: country
     *
     * - `closeReason`: closeReason
     *
     * - `city`: city
     *
     * @return OK
     */
    listUsingGET15(params) {
        return this.listUsingGET15Response(params).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * NFT market history
     * @param params The `OrderControllerService.HistoryNftUsingGETParams` containing the following parameters:
     *
     * - `id`: id
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    historyNftUsingGETResponse(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.id != null)
            __params = __params.set('id', params.id.toString());
        if (params.pageSize != null)
            __params = __params.set('pageSize', params.pageSize.toString());
        if (params.pageNumber != null)
            __params = __params.set('pageNumber', params.pageNumber.toString());
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/nft/history`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * NFT market history
     * @param params The `OrderControllerService.HistoryNftUsingGETParams` containing the following parameters:
     *
     * - `id`: id
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    historyNftUsingGET(params) {
        return this.historyNftUsingGETResponse(params).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * open
     * @param form form
     * @return OK
     */
    openUsingPOSTResponse(form) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        __body = form;
        let req = new http_1.HttpRequest('POST', this.rootUrl + `/api/v1/order/open`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * open
     * @param form form
     * @return OK
     */
    openUsingPOST(form) {
        return this.openUsingPOSTResponse(form).pipe(operators_1.map(_r => _r.body));
    }
    /**
     * getStreetsSales
     * @param params The `OrderControllerService.GetStreetsSalesUsingGETParams` containing the following parameters:
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    getStreetsSalesUsingGETResponse(params) {
        let __params = this.newParams();
        let __headers = new http_1.HttpHeaders();
        let __body = null;
        if (params.pageSize != null)
            __params = __params.set('pageSize', params.pageSize.toString());
        if (params.pageNumber != null)
            __params = __params.set('pageNumber', params.pageNumber.toString());
        let req = new http_1.HttpRequest('GET', this.rootUrl + `/api/v1/order/streets/latest-sell`, __body, {
            headers: __headers,
            params: __params,
            responseType: 'json'
        });
        return this.http.request(req).pipe(operators_1.filter(_r => _r instanceof http_1.HttpResponse), operators_1.map((_r) => {
            return _r;
        }));
    }
    /**
     * getStreetsSales
     * @param params The `OrderControllerService.GetStreetsSalesUsingGETParams` containing the following parameters:
     *
     * - `pageSize`: pageSize
     *
     * - `pageNumber`: pageNumber
     *
     * @return OK
     */
    getStreetsSalesUsingGET(params) {
        return this.getStreetsSalesUsingGETResponse(params).pipe(operators_1.map(_r => _r.body));
    }
};
OrderControllerService.closeUsingPOSTPath = '/api/v1/order/close';
OrderControllerService.closeAllOrdersUsingPOSTPath = '/api/v1/order/close-all';
OrderControllerService.closeOnMarketUsingPOSTPath = '/api/v1/order/close-by-market-id';
OrderControllerService.getDwrldHistoryUsingGETPath = '/api/v1/order/dcw/list';
OrderControllerService.getDecentCoinOverviewUsingGETPath = '/api/v1/order/dcw/overview';
OrderControllerService.orderDetailsUsingGETPath = '/api/v1/order/details/{orderId}';
OrderControllerService.historyUsingGET1Path = '/api/v1/order/history';
OrderControllerService.listUsingGET15Path = '/api/v1/order/list';
OrderControllerService.historyNftUsingGETPath = '/api/v1/order/nft/history';
OrderControllerService.openUsingPOSTPath = '/api/v1/order/open';
OrderControllerService.getStreetsSalesUsingGETPath = '/api/v1/order/streets/latest-sell';
OrderControllerService = __decorate([
    core_1.Injectable({
        providedIn: 'root',
    })
], OrderControllerService);
exports.OrderControllerService = OrderControllerService;
//# sourceMappingURL=test.js.map